Page MenuHomePhabricator

Apply selected action on Translation card to the current paragraph too
Closed, ResolvedPublic1 Story Points

Description

The Translation card allows users to switch the default translation service (Apertium, source text, nothing, etc.). When the user changes it, it only applies to the next paragraph.

In addition to keeping the selection for next paragraphs, it would be expected for the selection to take effect on the current paragraph too.

This is especially relevant when MT is disabled by default for some language. When the user selects the MT provider nothing will happen which make it hard to use MT in the first paragraph.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF changed Security from none to None.
Pginer-WMF moved this task from Backlog to Sprint 81 on the ContentTranslation-Release3 board.
Pginer-WMF added a subscriber: Pginer-WMF.
Arrbee triaged this task as Normal priority.Dec 23 2014, 2:13 PM
Arrbee raised the priority of this task from Normal to High.Feb 2 2015, 8:11 AM
Arrbee moved this task from Needs Triage to Long term on the ContentTranslation board.
Arrbee lowered the priority of this task from High to Normal.Feb 2 2015, 9:32 AM
Arrbee added a subscriber: Arrbee.
Pginer-WMF updated the task description. (Show Details)Feb 25 2015, 7:41 AM
Pginer-WMF added a project: LE-Sprint-83.
Arrbee claimed this task.Mar 19 2015, 9:16 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-84 board.

Confirmed that this is still happening.

Arrbee removed Arrbee as the assignee of this task.Mar 25 2015, 11:26 AM
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:06 AM
Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:32 PM
Amire80 raised the priority of this task from Normal to High.Jul 16 2015, 4:41 AM
Amire80 added a subscriber: Amire80.

This is especially relevant when MT is disabled by default for some language. When the user selects the MT provider nothing will happen which make it hard to use MT in the first paragraph.

Indeed, this happened to me a few times today. Now that we have languages like this, we really should fix it.

Arrbee edited a custom field.Jul 21 2015, 5:52 PM
santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 1 board.Jul 31 2015, 5:51 AM

Change 228205 had a related patch set uploaded (by Santhosh):
Apply selected action on Translation card to the current paragraph too

https://gerrit.wikimedia.org/r/228205

santhosh claimed this task.Jul 31 2015, 5:51 AM
santhosh removed a project: Patch-For-Review.
santhosh removed a subscriber: gerritbot.

Change 228205 merged by jenkins-bot:
Apply selected action on Translation card to the current paragraph too

https://gerrit.wikimedia.org/r/228205

santhosh moved this task from In Review to Done on the LE-CX6-Sprint 1 board.Aug 4 2015, 11:28 AM
Arrbee closed this task as Resolved.Aug 7 2015, 7:09 AM